PostValidatorDutiesAttesterByEpoch

Get attester duties.

Requests the beacon node to provide a set of attestation duties, which should be performed by validators, for a particular epoch.

Duties should only need to be checked once per epoch, however a chain reorganization (of > MIN_SEED_LOOKAHEAD epochs) could occur, resulting in a change of duties. For full safety, you should monitor head events and confirm the dependent root in this response matches:

  • event.previous_duty_dependent_root when compute_epoch_at_slot(event.slot) == epoch

  • event.current_duty_dependent_root when compute_epoch_at_slot(event.slot) + 1 == epoch

  • event.block otherwise

The dependent_root value is get_block_root_at_slot(state, compute_start_slot_at_epoch(epoch - 1) - 1) or the genesis block root in the case of underflow.

Path Params
string
required
Defaults to public
.custom-style { color: #048FF4; }

For higher throughput, please create your own API key.

string
required

Should only be allowed 1 epoch ahead

Body Params

An array of the validator indices for which to obtain the duties.

GetAttesterDutiesBody
Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json